Subject: [OSPF] Fwd: I-D Action:draft-venkata-ospf-dynamic-hostname-02.txt

From: Danny McPherson <[email-masked]>
Date: Tue, 29 Jan 2008 20:24:09 -0700

Folks,
This is a new cut of the draft I presented in Vancouver.  We'd
like to get this adopted as a WG item and request feedback from
the WG.  Comments welcome!

-danny

Begin forwarded message:

> From: [email-masked]
> Date: January 29, 2008 10:10:02 AM MST
> To: [email-masked]
> Subject: I-D Action:draft-venkata-ospf-dynamic-hostname-02.txt
> Reply-To: [email-masked]
>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
>
> 	Title           : Dynamic Hostname Exchange Mechanism for OSPF
> 	Author(s)       : S. Venkata, et al.
> 	Filename        : draft-venkata-ospf-dynamic-hostname-02.txt
> 	Pages           : 8
> 	Date            : 2008-01-29
>
> Currently, there does not exist a simple and dynamic mechanism for
> routers running OSPF to learn about symbolic hostnames just like for
> routers running IS-IS.  This document defines a new OSPF Router
> Information (RI) TLV which allows the OSPF routers to flood their
> hostname-to-Router ID mapping information across the OSPF network.
> This mechanism is applicable to both OSPFv2 and OSPFv3.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-venkata-ospf-dynamic- 
> hostname-02.txt
>
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of
> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
> Internet-Drafts are also available by anonymous FTP. Login with the
> username "anonymous" and a password of your e-mail address. After
> logging in, type "cd internet-drafts" and then
> 	"get draft-venkata-ospf-dynamic-hostname-02.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-venkata-ospf-dynamic-hostname-02.txt".
>
> NOTE:   The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> Content-Type: text/plain
> Content-ID: <2008-01-29120434.I-D\@ietf.org>
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: "Nitin Kakkar" <[email-masked]>
Date: Tue, 29 Jan 2008 21:22:03 -0800

Danny,
  I have couple of comments
  1) IMHO we need to explicitly define flooding scope for RI
information, 
  2) We need to define selection/priority rules when multiple hostnames
map to a single router-id (again tagged to flooding scope). IMHO it is
possible that some routers have same router id within AS/Area/Link.

On the side note, During Chicago IETF there were some
discussions/concerns about impact of non routing information on ospf
convergence. And one of the proposals was separation of routing & non
routing information.
I think Now is the time to put a process in place, IMHO In documents we
can explicitly specify TLV's as routing or non routing, Cases like RI
are fairly obvious, but some where down the road we might have
extension's that may not be so obvious, so its better to mark tlv as
routing/non routing.
Just my 2cents, I am sure Acee & other can chip in with their $$

Regards
Nitin
   -----Original Message-----
From: Danny McPherson [mailto:[email-masked]] 
Sent: Tuesday, January 29, 2008 7:24 PM
To: [email-masked]
Subject: [OSPF] Fwd: I-D
Action:draft-venkata-ospf-dynamic-hostname-02.txt 

Folks,

-danny

Begin forwarded message:

> 	"FILE
/internet-drafts/draft-venkata-ospf-dynamic-hostname-02.txt".

---

From: Danny McPherson <[email-masked]>
Date: Wed, 30 Jan 2008 08:12:04 -0700

>   1) IMHO we need to explicitly define flooding scope for RI

What explicitly beyond the current text were you hoping to see?

    The flooding scope is controlled by
    the Opaque LSA type in OSPFv2 and by the S1 and S2 bits in OSPFv3.
    For area scope, the Dynamic Hostname TLV MUST be carried within an
    OSPFv2 Type 10 RI LSA or an OSPFv3 RI LSA with the S1 bit set and S2
    bit clear.  If the flooding scope is the entire routing domain (AS
    scope), the Dynamic Hostname TLV MUST be carried within an OSPFv2
    Type 11 RI LSA or OSPFv3 RI LSA with the S1 bit clear and the S2 bit
    set.  An AS boundary router (ASBR) may choose to send an AS scope
    Dynamic Hostname TLV, whereas area boundary router (ABRs) and
    internal routers may choose to send an area scope Dynamic Hostname
    TLV.  If a router originates Dynamic Hostname TLVs with an IGP  
domain
    (AS) flooding scope, it MAY omit sending area-scoped Dynamic  
Hostname
    TLVs.

> possible that some routers have same router id within AS/Area/Link.

Really? RFC 2328:

         Router ID
             A 32-bit number assigned to each router running the OSPF
             protocol.  This number uniquely identifies the router  
within
             an Autonomous System.

Am I misinterpreting your comment here?

> extension's that may not be so obvious, so its better to mark tlv as

While I agree, I'm not sure there's anything we explicitly need to
do here, in particular given that we're employing an RI Opaque
LSA for this purpose.  Do you have something specific in mind?

> Just my 2cents, I am sure Acee & other can chip in with their $$

Thanks for the feedback!

-danny